Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.invoicing
Interface InvoiceHome

public interface InvoiceHome
extends SmartEJBHome

The home interface for the Invoice entity bean. Use this class to create, remove, and find Invoice entity beans.

Method Summary
`Invoice` | `create(InvoicePk invoicePk)` Create a new Invoice entity bean using the theory.smart.ebusiness.invoicing.InvoicePk.
`java.util.Enumeration` | `findAll()` Invoking the commit method on the invoice finalizes the purchase.
`Invoice` | `findByPrimaryKey(InvoicePk invoicePk)` Find an Invoice entity bean using the theory.smart.ebusiness.invoicing.InvoicePk.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public Invoice create(InvoicePk invoicePk)
                   throws CreateException,
                          java.rmi.RemoteException

  Create a new Invoice entity bean using the theory.smart.ebusiness.invoicing.InvoicePk.

### findByPrimaryKey

    public Invoice findByPrimaryKey(InvoicePk invoicePk)
                             throws java.rmi.RemoteException,
                                    FinderException

  Find an Invoice entity bean using the theory.smart.ebusiness.invoicing.InvoicePk.

### findAll

    public java.util.Enumeration findAll()
                                  throws java.rmi.RemoteException,
                                         FinderException

  Invoking the commit method on the invoice finalizes the purchase. It sets the final purchase prices, commits the packing list so that delivery can begin, and moves the items out of inventory and to a customers "Item" account.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.